API ReferenceapiclinicalGET /v1/lab-catalog/price

GET /v1/lab-catalog/price

Service: clinical · operationId: (none)

Retail price for a marker list in a US state.

Required scopes

(no scope declared — review service config)

Query parameters

  • state (string) required
  • marker_ids (string) required
  • brand (string) —
  • panel (string) —

Responses

200 Price breakdown

{
  "type": "object",
  "properties": {
    "wholesale": {
      "type": "number"
    },
    "markup": {
      "type": "number"
    },
    "surcharge": {
      "type": "number"
    },
    "total": {
      "type": "number"
    },
    "currency": {
      "type": "string"
    },
    "markup_multiplier": {
      "type": "number"
    },
    "state": {
      "type": "string"
    },
    "brand": {
      "type": [
        "string",
        "null"
      ]
    },
    "panel_slug": {
      "type": [
        "string",
        "null"
      ]
    },
    "availability_status": {
      "type": "string",
      "enum": [
        "available",
        "requires_byop",
        "available_via_byop",
        "unavailable"
      ]
    },
    "markers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "slug": {
            "type": "string"
          },
          "wholesale": {
            "type": "number"
          },
          "status": {
            "type": "string",
            "enum": [
              "available",
              "requires_byop",
              "available_via_byop",
              "unavailable"
            ]
          }
        },
        "required": [
          "slug",
          "wholesale",
          "status"
        ]
      }
    }
  },
  "required": [
    "wholesale",
    "markup",
    "surcharge",
    "total",
    "currency",
    "markup_multiplier",
    "state",
    "brand",
    "panel_slug",
    "availability_status",
    "markers"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Unknown marker(s)

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/lab-catalog/price \
  -H "Authorization: Bearer $ACCESS_TOKEN"